Bug 227573 - hfsplusutils: $RPM_OPT_FLAGS not used
Summary: hfsplusutils: $RPM_OPT_FLAGS not used
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hfsplusutils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 21:47 UTC by Ville Skyttä
Modified: 2008-04-03 20:34 UTC (History)
1 user (show)

Fixed In Version: 1.0.4-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 20:34:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, various other small tweaks (708 bytes, patch)
2007-02-06 21:47 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-06 21:47:07 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

hfsplusutils is not built with $RPM_OPT_FLAGS, resulting in no compiler security
features and more or less useless debuginfo package.  Fix attached, including
some while-at-it unrelated changes:

- Use autoreconf instead of the whole autofoo bunch separately
- Build with dep tracking disabled for cleaner build output and possible speedup
- Build with _smp_optflags for build speedup

The actual CFLAGS -> AM_CFLAGS change in Makefile.am's should be acceptable
upstream as-is (and it's enough to change them in Makefile.am's only as long as
autotools are run during the build).

Comment 1 Ville Skyttä 2007-02-06 21:47:07 UTC
Created attachment 147521 [details]
Use $RPM_OPT_FLAGS, various other small tweaks

Comment 2 Ville Skyttä 2007-07-28 20:12:45 UTC
Ping?

Comment 3 David Woodhouse 2007-07-29 09:52:57 UTC
Oh, sorry. Please go ahead and commit.

Comment 4 Ville Skyttä 2007-07-29 11:17:32 UTC
1.0.4-9 done, in CVS only.  Let me know if you'd like me to push a devel build
too (if I have permissions to do that, dunno).

Comment 5 Bug Zapper 2008-04-03 19:02:55 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.